.title {
    color: #1E1E1E;
    font-size: 4.5rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
@media (max-width: 560px) {
    .title {
        font-size: 3.2rem;
    }
}
.button {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.2rem;
    gap: 0.6rem;
    border-radius: 0.6rem;
    border: 1px solid rgba(30, 30, 30, 0.6);
    background-color: #fff;
    color: #1E1E1E;
    font-family: "Roboto", sans-serif;
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.8rem;
    transition: 0.5s ease;
}
.button:hover {
    background: #1E1E1E;
    color: #fff;
}
.button:hover .icon svg path {
    fill: #fff;
}
.button .icon {
    width: 1.6rem;
    height: 1.6rem;
    flex-shrink: 0;
    flex-grow: 0;
}
.button--blue {
    background: #E8F0FD;
    border: 1px solid #E8F0FD;
    color: #5390F3;
}
.button--dark {
    background: #1E1E1E;
    color: #fff;
    border: none;
}
.button--dark:hover {
    background: #fff;
    color: #1E1E1E;
}
.button--dark:hover .icon svg path {
    fill: #1E1E1E;
}
.switcher {
    display: block;
    width: 5.4rem;
    height: 2.8rem;
    cursor: pointer;
}
@media (max-width: 560px) {
    .switcher {
        width: 4.2rem;
        height: 2.4rem;
    }
}
.switcher span {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    background-color: #D9D9D9;
    flex-grow: 0;
    flex-shrink: 0;
    padding: 2px;
    border-radius: 1.4rem;
    transition: background-color 0.5s ease;
}
.switcher span:after {
    position: absolute;
    content: "";
    display: block;
    top: 2px;
    left: 2px;
    width: 2.4rem;
    height: 2.4rem;
    flex-grow: 0;
    flex-shrink: 0;
    border-radius: 50%;
    background-color: #767676;
    transition: 0.5s ease, transform 1s ease;
}
@media (max-width: 560px) {
    .switcher span:after {
        width: 2rem;
        height: 2rem;
    }
}
.switcher input {
    display: none;
}
.switcher input:checked + span {
    background-color: rgba(12, 174, 53, 0.1);
}
.switcher input:checked + span:after {
    margin-left: 2.6rem;
    background-color: #0CAE35;
    transform: rotate(180deg);
}
@media (max-width: 560px) {
    .switcher input:checked + span:after {
        margin-left: 1.8rem;
    }
}
.form {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    color: #1E1E1E;
    font-family: "Roboto", sans-serif;
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.8rem;
}
@media (max-width: 560px) {
    .form {
        font-size: 1.2rem;
        gap: 1.6rem;
    }
}
.form a:not(.button) {
    display: block;
    color: #0CAE35;
    font-family: "Roboto", sans-serif;
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
@media (max-width: 560px) {
    .form a:not(.button) {
        font-size: 1.2rem;
    }
}
.form a:not(.button):hover {
    text-decoration: underline;
}
.form > * {
    width: 100%;
}
.form > *.half {
    width: calc(50% - 1rem);
}
@media (max-width: 560px) {
    .form > *.half {
        width: 100%;
    }
}
.form > *.half:not(:nth-child(1)) a {
    margin-left: auto;
}
@media (max-width: 560px) {
    .form > *.half:not(:nth-child(1)) a {
        margin-left: 0;
    }
}
.form > *.third {
    width: calc(22%);
}
@media (max-width: 560px) {
    .form > *.third {
        width: 100%;
    }
}
.form-group {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
.form-group__title {
    display: block;
    margin-bottom: 1rem;
    color: #1E1E1E;
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
@media (max-width: 560px) {
    .form-group__title {
        font-size: 1.2rem;
    }
}
.form button {
    margin-top: 1rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    padding: 1.2rem;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    border-radius: 0.6rem;
    background: #1E1E1E;
    color: #FFF;
    font-family: "Roboto", sans-serif;
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.8rem;
    cursor: pointer;
}
.form button:hover {
    background: #000000;
}
.form-password {
    position: relative;
    display: block;
    width: 100%;
}
.form-password__button {
    position: absolute;
    right: 1.2rem;
    top: 50%;
    transform: translateY(-50%);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 1.8rem;
    height: 1.8rem;
    align-items: center;
    justify-content: center;
    transition: 0.5s ease;
}
.form-password__button:hover {
    transform: scale(1.1) translateY(-50%);
}
.main-title {
    margin-bottom: 1.6rem;
    color: #1E1E1E;
    font-size: 2rem;
    font-style: normal;
    font-weight: 600;
    line-height: 3.2rem; /* 160% */
}
.main-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 2.5rem;
    padding: 3rem;
}
.main-row-container {
    width: 100%;
}
.main-row-container .main-title {
    padding: 2rem 1.6rem 0 1.6rem;
}
.main-row--full-height {
    flex: 1;
}
@media (max-width: 1200px) {
    .main-row {
        padding: 1.4rem;
        gap: 1.5rem;
    }
}
@media (max-width: 560px) {
    .main-row {
        padding: 0;
    }
}
.main-content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction: column;
    width: 100%;
    border-radius: 4rem 0rem 0rem 4rem;
    transition: border-radius 1s ease;
    overflow: hidden;
    background: #F6F6F6;
}
@media (max-width: 1024px) {
    .main-content {
        border-radius: 0;
    }
}
.main-content.full-width .main-wrapper {
    width: calc(100% - 33.7rem);
}
.main-content.full-width .main-wrapper:first-child:last-child {
    width: 100%;
}
@media (max-width: 830px) {
    .main-content.full-width .main-wrapper {
        width: 100%;
    }
}
.main-content.full-width .main-transactions-item {
    width: calc(33.3% - 1.4rem);
}
@media (max-width: 900px) {
    .main-content.full-width .main-transactions-item {
        width: calc(50% - 0.4rem);
    }
}
@media (max-width: 600px) {
    .main-content.full-width .main-transactions-item {
        width: 100%;
        min-height: auto;
    }
}
.wrap {
    padding: 2.5rem;
    border-radius: 1.2rem;
    border: 1px solid rgba(30, 30, 30, 0.08);
    background: #FFF;
    margin-bottom: 2rem;
}
@media (max-width: 560px) {
    .wrap {
        padding: 1.6rem;
        margin-left: 1.6rem;
        margin-right: 1.6rem;
    }
}
.wrap-head {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    padding-bottom: 1.6rem;
    margin-bottom: 1.6rem;
    border-bottom: 1px solid rgba(30, 30, 30, 0.1);
}
.settings-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 2rem;
    width: 100%;
}
@media (max-width: 767px) {
    .settings-row {
        gap: 1rem;
    }
}
.settings-row--wrap {
    flex-wrap: wrap;
}
.settings__title {
    color: #1E1E1E;
    font-size: 2rem;
    font-style: normal;
    font-weight: 600;
    line-height: 2.4rem;
}
.settings-personal-information {
    width: calc(100% - 19.4rem);
}
@media (max-width: 767px) {
    .settings-personal-information {
        width: calc(100% - 18.4rem);
        padding: 1.4rem;
        margin-bottom: 1.6rem;
    }
}
@media (max-width: 640px) {
    .settings-personal-information {
        width: 100%;
        margin-bottom: 0;
    }
}
@media (max-width: 560px) {
    .settings-personal-information {
        padding: 0;
        margin: 0;
        border: none;
    }
}
.settings-personal-information-avatar {
    margin-bottom: 2rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 17.4rem;
    height: 18rem;
    padding: 2.5rem;
    justify-content: center;
    align-items: center;
    gap: 2.5rem;
    border-radius: 1.2rem;
    border: 1px solid rgba(30, 30, 30, 0.08);
    background: #FFF;
}
@media (max-width: 640px) {
    .settings-personal-information-avatar {
        justify-content: start;
        width: 100%;
        padding: 1.5rem;
        height: auto;
        border: 1px solid rgba(30, 30, 30, 0.08);
        background: -webkit-gradient(linear, left bottom, left top, from(rgba(241, 242, 245, 0.2)), to(rgba(241, 242, 245, 0.2))), #FFF;
        background: linear-gradient(0deg, rgba(241, 242, 245, 0.2) 0%, rgba(241, 242, 245, 0.2) 100%), #FFF;
    }
}
.settings-personal-information-avatar-wrap {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 10rem;
    height: 10rem;
    cursor: pointer;
}
@media (max-width: 640px) {
    .settings-personal-information-avatar-wrap {
        width: 5.6rem;
        height: 5.6rem;
        flex-shrink: 0;
        flex-grow: 0;
    }
}
.settings-personal-information-avatar-icon {
    position: absolute;
    bottom: 0;
    right: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2.8rem;
    height: 2.8rem;
    flex-shrink: 0;
    background-color: #5390F3;
    border-radius: 50%;
}
.settings-personal-information-avatar-preview {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    flex-shrink: 0;
    flex-grow: 0;
    border-radius: 50%;
    overflow: hidden;
}
.settings-personal-information-avatar-preview img {
    width: 100%;
    height: 100%;
    -o-object-fit: contain;
    object-fit: contain;
}
.settings-personal-information-avatar-text {
    display: none;
    color: #1E1E1E;
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
@media (max-width: 640px) {
    .settings-personal-information-avatar-text {
        display: block;
    }
}
@media (max-width: 767px) {
    .settings-personal-information-avatar {
        margin-bottom: 1.6rem;
    }
}
@media (max-width: 560px) {
    .settings-personal-information-avatar {
        margin-bottom: 0;
        margin-top: 0.6rem;
    }
}
.settings-personal-information-form {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    justify-content: space-between;
}
@media (max-width: 560px) {
    .settings-personal-information-wrap {
        margin-left: 1.6rem;
        margin-right: 1.6rem;
        padding: 1.5rem;
        width: calc(100% - 3.2rem);
        border-radius: 1.2rem;
        border: 1px solid rgba(30, 30, 30, 0.08);
        background-color: #fff;
    }
}
@media (max-width: 560px) {
    .settings-personal-information-wrap {
        margin-bottom: 1.6rem;
    }
}
.settings-notification {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction: column;
    width: calc(50% - 1rem);
    padding: 1.6rem;
    border-radius: 0.8rem;
    border: 1px solid rgba(30, 30, 30, 0.1);
    background: #FFF;
    color: #A7A9AC;
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.8rem;
    cursor: pointer;
}
@media (max-width: 767px) {
    .settings-notification {
        width: calc(50% - 0.5rem);
    }
}
@media (max-width: 640px) {
    .settings-notification {
        width: 100%;
    }
}
@media (max-width: 425px) {
    .settings-notification__text {
        padding-right: 5rem;
    }
}
@media (max-width: 350px) {
    .settings-notification__text {
        padding-right: 0;
    }
}
.settings-notification .switcher {
    margin-bottom: 1.6rem;
}
@media (max-width: 425px) {
    .settings-notification .switcher {
        position: absolute;
        right: 1.6rem;
        top: 1rem;
    }
}
@media (max-width: 350px) {
    .settings-notification .switcher {
        position: static;
    }
}
.settings-notification__title {
    display: block;
    margin-bottom: 1rem;
    padding-right: 5rem;
    color: #1E1E1E;
    font-size: 1.6rem;
    font-style: normal;
    font-weight: 600;
    line-height: 2.2rem;
}
.settings-notifications {
    width: 100%;
}
@media (max-width: 767px) {
    .settings-notifications {
        padding: 1.4rem;
        margin-bottom: 1.6rem;
    }
}
.settings-notifications-form {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}
@media (max-width: 767px) {
    .settings-notifications-form {
        gap: 1rem;
    }
}
@media (max-width: 640px) {
    .settings-notifications-form {
        flex-direction: column;
    }
}
.settings-cards {
    margin-bottom: 2rem;
}
@media (max-width: 640px) {
    .settings-cards {
        flex-direction: column;
    }
}
.settings-card {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    flex-direction: column;
    align-items: start;
    padding: 2rem;
    width: 33.3%;
    max-width: 50.2rem;
    border-radius: 1.2rem;
    border: 1px solid rgba(30, 30, 30, 0.08);
    background: #FFF;
    color: #8A8E94;
    font-size: 1.6rem;
    font-style: normal;
    font-weight: 400;
    line-height: 2.2rem;
}
@media (max-width: 767px) {
    .settings-card {
        padding: 1.4rem;
        font-size: 1.4rem;
        font-style: normal;
        font-weight: 400;
        line-height: 1.8rem;
    }
}
@media (max-width: 640px) {
    .settings-card {
        width: 100%;
        max-width: 100%;
    }
}
@media (max-width: 560px) {
    .settings-card {
        width: calc(100% - 3.2rem);
        margin-right: 1.6rem;
        margin-left: 1.6rem;
    }
}
.settings-card__button {
    margin-top: auto;
    min-width: 20rem;
}
.settings-card__button--turn-off {
    color: #E22C2C;
    border-color: rgba(226, 44, 44, 0.4);
}
@media (max-width: 425px) {
    .settings-card__button {
        width: 100%;
    }
}
.settings-card__text {
    margin-bottom: 2rem;
}
@media (max-width: 767px) {
    .settings-card__text {
        margin-bottom: 1.6rem;
    }
}
.settings-card__title {
    margin-bottom: 1.2rem;
    color: #1E1E1E;
    font-size: 2rem;
    font-style: normal;
    font-weight: 600;
    line-height: 2.4rem;
}
@media (max-width: 767px) {
    .settings-card__title {
        margin-bottom: 1rem;
        font-size: 1.6rem;
        font-style: normal;
        font-weight: 500;
        line-height: 2rem;
    }
}
.settings-card__image {
    margin-bottom: 2rem;
    flex-grow: 0;
    flex-shrink: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4rem;
    height: 4rem;
}
@media (max-width: 767px) {
    .settings-card__image {
        width: 3.6rem;
        height: 3.6rem;
        margin-bottom: 1.6rem;
    }
}
.settings-card__status {
    position: absolute;
    top: 2rem;
    right: 2rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 10rem;
    height: 3.2rem;
    padding: 0.8rem 1rem;
    justify-content: center;
    align-items: center;
    gap: 0.8rem;
    border-radius: 10rem;
    background: rgba(12, 174, 53, 0.1);
    color: #0CAE35;
    font-size: 1.2rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
@media (max-width: 767px) {
    .settings-card__status {
        top: 1.4rem;
        right: 1.4rem;
    }
}



.modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -2000px);
    opacity: 0;
    width: 100%;
    border-radius: 1.2rem;
    background: #FFF;
    pointer-events: none;
    transition: transform 0.4s ease, opacity 0.5s ease-in-out;
    max-height: 98vh;
    overflow: auto;
}
.modal-message {
    padding: 2rem;
    top: 10%;
    max-width: 47rem;
}
.modal-message .modal__title {
    text-align: center;
    color: #1E1E1E;
    font-size: 2rem;
    font-style: normal;
    font-weight: 600;
    line-height: 2.4rem; /* 120% */
}
@media (max-width: 560px) {
    .modal {
        width: calc(100% - 3.2rem);
    }
}
.modal.open {
    pointer-events: auto;
    opacity: 1;
    transform: translate(-50%, -50%);
}
.modal-content {
    padding: 1.6rem 2rem 2rem 2rem;
}
.modal-close {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2.4rem;
    /* height: 2.4rem; */
    flex-grow: 0;
    flex-shrink: 0;
    cursor: pointer;
}
.modal-close:hover svg path {
    fill-opacity: 1;
}
.modal-head {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    padding: 2rem 2rem 1.6rem 2rem;
    border-bottom: 1px solid rgba(30, 30, 30, 0.1);
    color: #1E1E1E;
    font-size: 2rem;
    font-style: normal;
    font-weight: 600;
    line-height: 2.4rem;
}
.modal-new-account {
    max-width: 47rem;
}
.authentication-settings {
    padding: 2rem;
    max-width: 51.8rem;
    border-radius: 1.2rem;
    border: 1px solid rgba(30, 30, 30, 0.08);
    color: #8A8E94;
    font-size: 1.6rem;
    font-style: normal;
    font-weight: 400;
    line-height: 2.2rem;
}
@media (max-width: 560px) {
    .authentication-settings {
        padding: 1.5rem;
        font-size: 1.4rem;
        font-style: normal;
        font-weight: 400;
        line-height: 1.8rem;
    }
}
.authentication-settings-controls {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin-top: 2rem;
    gap: 0.8rem;
}
.authentication-settings-controls > * {
    margin-top: 0 !important;
    width: calc(50% - 0.4rem);
}
.authentication-settings__subtitle {
    margin-bottom: 1.6rem;
    color: #1E1E1E;
    font-size: 2rem;
    font-style: normal;
    font-weight: 600;
    line-height: 2.4rem;
}
@media (max-width: 560px) {
    .authentication-settings__subtitle {
        margin-bottom: 0.8rem;
        font-size: 1.6rem;
        font-style: normal;
        font-weight: 500;
        line-height: 2rem;
    }
}
.authentication-settings__text a {
    color: #5390F3;
}
.authentication-settings__qr {
    margin: 4rem auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    width: 28rem;
    height: 28rem;
    padding: 1.6rem;
    justify-content: center;
    align-items: center;
    border-radius: 2rem;
    border: 1px solid rgba(30, 30, 30, 0.1);
}
@media (max-width: 560px) {
    .authentication-settings__qr {
        width: 22rem;
        height: 22rem;
        margin: 2rem auto;
    }
}
.authentication-settings__title {
    margin-bottom: 2rem;
    color: #1E1E1E;
    font-size: 2.6rem;
    font-style: normal;
    font-weight: 600;
    line-height: 3.2rem;
}
@media (max-width: 560px) {
    .authentication-settings__title {
        margin-bottom: 1.6rem;
        font-size: 2.2rem;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
    }
}
.authentication-settings-head {
    margin-bottom: 2rem;
    color: #1E1E1E;
    font-size: 1.4rem;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}
@media (max-width: 560px) {
    .authentication-settings-head {
        margin-bottom: 1.6rem;
    }
}
.authentication-settings-head-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin-top: 3px;
    gap: 0.5rem;
}
.authentication-settings-head-row span {
    display: block;
    width: auto;
    border-radius: 0.1rem;
    background: #E2E2E2;
    height: 0.4rem;
    flex: 1 0 0;
}
.authentication-settings-head-row span.active {
    background: #29ED5B;
}
.authentication-settings-code {
    margin-top: 2rem;
    padding: 2rem;
    border-radius: 0.8rem;
    border: 1px solid rgba(0, 0, 0, 0.1);
    background: rgba(241, 242, 245, 0.2);
}
@media (max-width: 425px) {
    .authentication-settings-code {
        padding: 1.2rem;
    }
}
.authentication-settings-code__button {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.2rem;
    border-radius: 0.8rem;
    background: #5390F3;
}
.authentication-settings-code-controls {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    gap: 0.8rem;
}
.authentication-settings-code__string {
    margin-bottom: 2rem;
    -moz-column-count: 2;
    column-count: 2;
    -moz-column-gap: 0.8rem;
    column-gap: 0.8rem;
    color: #000;
    font-size: 1.8rem;
    font-style: normal;
    font-weight: 400;
    line-height: 130%;
}
@media (max-width: 425px) {
    .authentication-settings-code__string {
        width: 16.6rem;
        margin-bottom: 1.6rem;
        -moz-column-count: 1;
        column-count: 1;
        font-size: 1.4rem;
        font-style: normal;
        font-weight: 400;
        line-height: 1.8rem;
    }
}
.authentication-settings .reset-password-form {
    margin-top: 2rem;
}

/* QR код */
#qrcode {
    margin: 20px auto;
    width: 200px;
    height: 200px;
}

/* Обёртка второй модалки */
.modal-overlay {
    position: fixed;
    /* top: 0; */
    /* left: 0; */
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.3); /* прозрачный фон */
    z-index: 2000;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Контент второй модалки */
.second-modal-content {
    background: white;
    padding: 30px;
    border-radius: 10px;
}

.modal2 {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: white;
    z-index: 1000;
    padding: 20px;
    border-radius: 10px;
    min-width: 340px;
}

.second-modal{
    justify-content: center;
    display: flex;
}

/* Основные стили для кастомного селекта валют */
.currency-select-wrapper {
    position: relative;
}

.currency-select {
    width: 100%;
    background: white;
    font-size: 14px;
    font-weight: 500;
    color: #374151;
    cursor: pointer;
    transition: all 0.2s ease;
    appearance: none;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 20 20'%3e%3cpath stroke='%236b7280' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='m6 8 4 4 4-4'/%3e%3c/svg%3e");
    background-position: right 12px center;
    background-repeat: no-repeat;
    background-size: 16px;
    padding-right: 40px;
}

.currency-select:hover {
    border: 1px solid rgba(30, 30, 30, 0.3);
}

.currency-select:focus {
    outline: none;
}

/* Стили для опций с флагами */
.currency-select option {
    padding: 16px 16px;
    background: white;
    color: #374151;
    font-weight: 500;
}

.currency {
    flex-direction: column;
    align-items: flex-start;
    width: auto;
}